Subject: Re: [PATCH net-next 5/5] Consider the number of vlan tags for vlan filters

From: Boris Sukholitko <[email-masked]>
Date: Tue, 12 Apr 2022 13:06:51 +0300

On Mon, Apr 11, 2022 at 05:34:13PM +0200, Jiri Pirko wrote:
> Mon, Apr 11, 2022 at 03:31:00PM CEST, [email-masked] wrote:
> >Currently the existence of vlan filters is conditional on the vlan
> >protocol being matched in the tc rule. I.e. the following rule:
> >
> >tc filter add dev eth1 ingress flower vlan_prio 5
> >
> >is illegal because we lack protocol 802.1q in the rule.
> >
> >Having the num_of_vlans filter configured removes this restriction. The
> >following rule becomes ok:
> >
> >tc filter add dev eth1 ingress flower num_of_vlans 1 vlan_prio 5
> >
> >because we know that the packet is single tagged.
> 
> From this patch description, I'm unable to tell what the patch is doing.
> Tell the codebase what to do.
> 

I've expanded the description in v2 of the patches.

> Also, in subject line of the patches, it is customary to put prefix
> like: "net/sched: cls_flower:"

Done in v2.

> 
> The the first glance, the patchset looks fine to me.

Thanks,
Boris.